Update a annotation job
PATCH
/v1/projects/{projectId}/annotation-jobs/{jobId}curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs/{jobId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- jobIdstringrequired
Header parameters
- If-Matchstringrequired
Required precondition. Absent returns 428 PRECONDITION_REQUIRED. A stale tag returns 412 PRECONDITION_FAILED with no write. If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
Request body
Content-Typeapplication/json
- namestring
- instructionsMdstring | null
- exampleEpisodeIdstring | null
- fieldsJsonarray<string>
- reviewerMembershipIdstring | null
- dueAtstring | null
Responses
Success
- dataobjectrequired
- idstringrequired
- projectIdstringrequired
- kindstringrequiredAllowed valuessegmentationlabeling
- namestringrequired
- instructionsMdstring | nullrequired
- exampleEpisodeIdstring | nullrequired
- fieldsJsonarray<string>required
- reviewerMembershipIdstring | nullrequired
- dueAtstring | nullrequired
- statusstringrequiredAllowed valuescancelledin_reviewin_progressopendone
- distributionstringrequiredAllowed valuesevenqueue
- createdBystring | nullrequired
- assigneeMembershipIdsarray<string>required
- progressobjectrequired
- createdAtstringrequired
- updatedAtstringrequired
- rowVersionnumberrequired
Response example
{
"data": {
"id": "string",
"projectId": "string",
"kind": "segmentation",
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string",
"status": "cancelled",
"distribution": "even",
"createdBy": "string",
"assigneeMembershipIds": [
"string"
],
"progress": {
"total": 0,
"todo": 0,
"labeled": 0,
"approved": 0,
"rejected": 0
},
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1